import { Base, IEqualityComparer$1, Type } from "igniteui-webcomponents-core";
import { WorksheetCellFormatData } from "igniteui-webcomponents-excel";
/**
 * @hidden
 */
export declare class WorksheetCellFormatDataEqualityComparer extends Base implements IEqualityComparer$1<WorksheetCellFormatData> {
    static $t: Type;
    static readonly _a: WorksheetCellFormatDataEqualityComparer;
    constructor();
    equalsC(a: WorksheetCellFormatData, b: WorksheetCellFormatData): boolean;
    getHashCodeC(a: WorksheetCellFormatData): number;
}
